Package org.apache.tomcat.util.modeler.modules

# Class MbeansDescriptorsIntrospectionSource

java.lang.Object
org.apache.tomcat.util.modeler.modules.ModelerSource
org.apache.tomcat.util.modeler.modules.MbeansDescriptorsIntrospectionSource

public class MbeansDescriptorsIntrospectionSource extends ModelerSource

## Field Summary

### Fields inherited from class org.apache.tomcat.util.modeler.modules.ModelerSource

`source`

## Constructor Summary

Constructors
Constructor
Description
`MbeansDescriptorsIntrospectionSource()`

## Method Summary

Modifier and Type
Method
Description
`ManagedBean`
`createManagedBean(Registry registry, String domain, Class<?> realClass, String type)`
XXX Find if the 'className' is the name of the MBean or the real class ( I suppose first ) XXX Read (optional) descriptions from a .properties, generated from source XXX Deal with constructors
`void`
`execute()`
`List<ObjectName>`
`loadDescriptors(Registry registry, String type, Object source)`
Load data, returns a list of items.
`void`
`setRegistry(Registry reg)`
`void`
`setSource(Object source)`
`void`
`setType(String type)`
Used if a single component is loaded

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MbeansDescriptorsIntrospectionSource

public MbeansDescriptorsIntrospectionSource()

## Method Details

### setRegistry

public void setRegistry(Registry reg)

### setType

public void setType(String type)
Used if a single component is loaded

Parameters:
  `type` - The type

### setSource

public void setSource(Object source)

### loadDescriptors

public List<ObjectName> loadDescriptors(Registry registry, String type, Object source) throws Exception
Description copied from class: `ModelerSource`
Load data, returns a list of items.

Specified by:
  `loadDescriptors` in class `ModelerSource`
Parameters:
  `registry` - The registry
  `type` - The bean registry type
  `source` - Introspected object or some other source
Returns:
  a list of object names
Throws:
  `Exception` - Error loading descriptors

### execute

public void execute() throws Exception

Throws:
  `Exception`

### createManagedBean

public ManagedBean createManagedBean(Registry registry, String domain, Class<?> realClass, String type)
XXX Find if the 'className' is the name of the MBean or the real class ( I suppose first ) XXX Read (optional) descriptions from a .properties, generated from source XXX Deal with constructors

Parameters:
  `registry` - The Bean registry (not used)
  `domain` - The bean domain (not used)
  `realClass` - The class to analyze
  `type` - The bean type
Returns:
  ManagedBean The create MBean